# Building

Can either be done with [stack][1] or [cabal][2], the easier of which is stack:

    stack init
	stack build
	
Optionally, tests can be executed with:

    stack test
	
# Usage

This is intended to be used as mockup generator in the dosek project.
To do so, copy the resulting binary somewhere in your path or the
dosek build directory.

    stack install
	
The other thing that's needed to build mockups in dosek is
`files/mockup_prelude.cc`.

In the dosek source, use the following to get a working build
environment that knows and uses the mockup generator:

	mkdir build
	cd build
    CMAKE_INCLUDE_PATH=<location-of-mockup-prelude> ../new_build_env.py -a posix --generate-mockup t
	
where `<location-of-mockup-prelude>` is the directory containing
`mockup_prelude.cc` and the `mockup_generator` binary is in your PATH.


[1]: https://haskellstack.org
[2]: https://www.haskell.org/cabal/
